[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.MouseUp

MouseUp - a procedure that allows the programmer to simulate a mouse button being Up over the control, and initiates the same Action as that associated with the OnMouseUp event

## Declaration

Source position: controls.pp line 1154

`protected procedure TControl.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Description

MouseUp - a procedure that allows the programmer to simulate a mouse button being Up over the control, and initiates the same Action as that associated with the #lcl.Controls.TControl.OnMouseUp event

Button specifies which mouse button; Shift signifies whether Ctrl, Shift or Alt keys are also pressed; X, Y show mouse position

The latest version of this document can be found at lazarus-ccr.sourceforge.net.